
import {
	createContract,
	checkContractType,
	isAddress,
	getUserAddress,
	getNativeBalance,
	getChainId,
	isContractWNFTFromChain,
} from './common';
import {
	getDefaultWeb3,
	connectSilent,
	connect,
	disconnect,
	requestChainChange,
	walletStateListener,
} from './web3provider';
import {
	getERC20ParamsFromChain,
	getERC20BalanceFromChain,
	makeERC20Allowance,
	makeERC20AllowanceMultisig,
	getFaBalanceFromChain,
} from './erc20';
import {
/*	getBalanceERC1155,
	getBalanceBatchERC1155,
	checkApprovalERC1155,
	setApprovalERC1155,
	transferERC1155,
	getERC1155ByIdFromChain,
	getBalanceERC721,
	checkApprovalERC721,
	checkApprovalForAllERC721,
	setApprovalForAllERC721,
	setApprovalERC721,
	*/
	UNSAFE_getERC721sOfContractFromChain,
//	getERC721ByIdFromChain,
	transferERC721,
	mintERC721,
/*	getContractNameERC1155,
	getContractNameERC721,
	setApprovalERC1155Multisig,
	transferERC1155Multisig,
	setApprovalForAllERC721Multisig,
	setApprovalERC721Multisig,
	transferERC721Multisig,
	mintERC721Multisig,
	*/
	transferDA,
	getNFTsOfContractFromChain
} from './nft';
import {
	getWNFTsOfContractFromChain721,
	getWNFTsOfContractFromChain721Batch,
	getBalance721FromChain,
	getBalance1155FromChain,
	getWNFTByIdFromChain,
//	addValueToWNFT,
	addNativeValueToWNFT,
	addFAValueToWNFT,
	getWNFTv0TransferModel,
	getWNFTWrapperContract,
	getWrapperTechToken,
	transferWNFT,
	getMaxCollateralSlots,
	getWrapperOfBatchWorker,
	getWNFTsOfContractFromChain,
	unwrapDA
//	transferWNFTMultisig,
//	addValueToWNFTMultisig,
} from './wnft';

import {
	getMaxCollaterals,
	getWrapperWhitelist,
	getWhitelist,
	getBlacklist,
	isEnabledForCollateral,
	isEnabledForFee,
	isEnabledRemoveFromCollateral,
	getEnabledForCollateral
/*	encodeINData,
	encodeWrapArguments,
	wrapToken,*/
} from './wrapper';

import {
	getTariffsForService,
	getPriceWithFee,
	getUserTicketForService,
	getRegistryOfService,
	canUseService,
	buySubscription,
	buySubscriptionMultisig,
	isSubscriptionEnabled,
} from './subscription';

export {
	getEnabledForCollateral,
	createContract,
	checkContractType,
	isAddress,
	getUserAddress,
	getNativeBalance,
	getChainId,
	isContractWNFTFromChain,
	getFaBalanceFromChain,
	getDefaultWeb3,
	connectSilent,
	connect,
	disconnect,
	requestChainChange,
	walletStateListener,

	getERC20ParamsFromChain,
	getERC20BalanceFromChain,
	makeERC20Allowance,
	makeERC20AllowanceMultisig,
/*
	getBalanceERC1155,
	getBalanceBatchERC1155,
	checkApprovalERC1155,
	setApprovalERC1155,
	transferERC1155,
	getERC1155ByIdFromChain,
	getBalanceERC721,
	checkApprovalERC721,
	checkApprovalForAllERC721,
	setApprovalForAllERC721,
	setApprovalERC721,*/
	UNSAFE_getERC721sOfContractFromChain,
//	getERC721ByIdFromChain,
	transferERC721,
	transferDA,
	mintERC721,
	unwrapDA,
/*	getContractNameERC1155,
	getContractNameERC721,
	setApprovalERC1155Multisig,
	transferERC1155Multisig,
	setApprovalForAllERC721Multisig,
	setApprovalERC721Multisig,
	transferERC721Multisig,
	mintERC721Multisig,
*/
	getWNFTsOfContractFromChain721,
	getWNFTsOfContractFromChain721Batch,
	getBalance721FromChain,
	getBalance1155FromChain,
	getWNFTByIdFromChain,
//	addValueToWNFT,
	addNativeValueToWNFT,
	addFAValueToWNFT,
	getWNFTv0TransferModel,
	getWNFTWrapperContract,
	getWrapperTechToken,
	transferWNFT,
	getMaxCollateralSlots,
	getWrapperOfBatchWorker,
	getNFTsOfContractFromChain,
/*	transferWNFTMultisig,
	addValueToWNFTMultisig,
*/
	getTariffsForService,
	getPriceWithFee,
	getUserTicketForService,
	getRegistryOfService,
	canUseService,
	buySubscription,
	buySubscriptionMultisig,
	isSubscriptionEnabled,

	getMaxCollaterals,
	getWrapperWhitelist,
	getWhitelist,
	getBlacklist,
	isEnabledForCollateral,
	isEnabledForFee,
	isEnabledRemoveFromCollateral,
	getWNFTsOfContractFromChain
/*	encodeINData,
	encodeWrapArguments,
	wrapToken,*/
}